{"openapi":"3.0.0","info":{"title":"OVHcloud API specification","description":"Specification for OVHcloud API","version":"1.0","contact":{"name":"OVH","email":"api@ml.ovh.net"}},"servers":[{"url":"https://api.eu.ovhcloud.com/v2"}],"components":{"schemas":{"any":{"description":"Can be anything (text, int, bool, json, html, etc.)","example":"This is a content of any type !"},"duration":{"type":"string","description":"Duration (e.g., P1Y2M3DT4H6M9S)","example":"P1Y2M3DT4H6M9S"},"email":{"type":"string","description":"Email address (e.g., api@ml.ovh.net)","format":"email","example":"api@ml.ovh.net"},"internationalPhoneNumber":{"type":"string","description":"International phone number","format":"phone-number"},"ip":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipBlock":{"type":"string","description":"IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)","format":"ip-block","example":"192.0.2.0/24"},"ipInterface":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4":{"type":"string","description":"IPv4 address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4Block":{"type":"string","description":"IPv4 CIDR notation (e.g., 192.0.2.0/24)","format":"ipv4-block","example":"192.0.2.0/24"},"ipv6":{"type":"string","description":"IPv6 address (e.g., 2001:41d0:1:1994::1)","format":"ipv6","example":"2001:41d0:1:1994::1"},"ipv6Block":{"type":"string","description":"IPv6 CIDR notation (e.g., 2001:41d0::/128)","format":"ipv6-block","example":"2001:41d0::/128"},"macAddress":{"type":"string","description":"MAC address (e.g., 00:00:5e:00:53:01)","format":"mac-address","example":"00:00:5e:00:53:01"},"phoneNumber":{"type":"string","description":"Phone number","format":"phone-number"},"publicCloud.database.kafka.Topic":{"type":"object","description":"A Kafka topic on a managed Kafka service","properties":{"checksum":{"type":"string","description":"Hash of the resource used for concurrency control","readOnly":true},"createdAt":{"type":"string","description":"Date at which the resource was created","format":"date-time","readOnly":true},"id":{"type":"string","description":"Unique identifier of the topic","format":"uuid","readOnly":true},"minimumInSyncReplicas":{"type":"integer","description":"Minimum number of in-sync replicas required before a write is acknowledged","readOnly":true},"name":{"type":"string","description":"Name of the Kafka topic","readOnly":true},"partitions":{"type":"integer","description":"Number of partitions for this topic","readOnly":true},"replication":{"type":"integer","description":"Replication factor for this topic","readOnly":true},"retentionBytes":{"type":"integer","description":"Maximum size in bytes retained per partition. -1 means unlimited.","readOnly":true},"retentionHours":{"type":"integer","description":"Maximum time in hours that messages are retained. -1 means unlimited.","readOnly":true},"updatedAt":{"type":"string","description":"Date of the last update to the resource","format":"date-time","readOnly":true}}},"publicCloud.database.kafka.TopicCreation":{"type":"object","description":"Input parameters for creating a Kafka topic on a managed Kafka service","properties":{"minimumInSyncReplicas":{"type":"integer","description":"Minimum number of in-sync replicas. Defaults to 1 when null.","nullable":true},"name":{"type":"string","description":"Name of the Kafka topic"},"partitions":{"type":"integer","description":"Number of partitions. Defaults to 1 when null.","nullable":true},"replication":{"type":"integer","description":"Replication factor. Must not exceed the number of brokers. Defaults to 1 when null.","nullable":true},"retentionBytes":{"type":"integer","description":"Maximum size in bytes retained per partition. -1 means unlimited. Defaults to -1 when null.","nullable":true},"retentionHours":{"type":"integer","description":"Maximum time in hours that messages are retained. -1 means unlimited. Defaults to 168 (7 days) when null.","nullable":true}},"required":["name"]},"publicCloud.database.kafka.TopicReplace":{"type":"object","description":"Input parameters for replacing a Kafka topic on a managed Kafka service. Every field is required: the request describes the whole topic.","properties":{"minimumInSyncReplicas":{"type":"integer","description":"Minimum number of in-sync replicas required before a write is acknowledged"},"partitions":{"type":"integer","description":"New number of partitions. Can only be increased, never decreased."},"replication":{"type":"integer","description":"New replication factor. Must not exceed the number of brokers."},"retentionBytes":{"type":"integer","description":"Maximum size in bytes retained per partition. -1 means unlimited."},"retentionHours":{"type":"integer","description":"Maximum time in hours that messages are retained. -1 means unlimited."}},"required":["minimumInSyncReplicas","partitions","replication","retentionBytes","retentionHours"]},"publicCloud.database.kafka.TopicUpdate":{"type":"object","description":"Input parameters for updating a Kafka topic on a managed Kafka service","properties":{"minimumInSyncReplicas":{"type":"integer","description":"Minimum number of in-sync replicas required before a write is acknowledged","nullable":true},"partitions":{"type":"integer","description":"New number of partitions. Can only be increased, never decreased.","nullable":true},"replication":{"type":"integer","description":"New replication factor. Must not exceed the number of brokers.","nullable":true},"retentionBytes":{"type":"integer","description":"Maximum size in bytes retained per partition. -1 means unlimited.","nullable":true},"retentionHours":{"type":"integer","description":"Maximum time in hours that messages are retained. -1 means unlimited.","nullable":true}}},"time":{"type":"string","description":"Time (e.g., 15:04:05)","format":"time","example":"15:04:05"}},"securitySchemes":{"oAuth2AuthCode":{"type":"oauth2","description":"Oauth2","x-client-id":"1bb9c7df371741c0","x-client-secret":"a5b4de870aca620d10fbf63cd18d205b","flows":{"authorizationCode":{"authorizationUrl":"https://auth.eu.ovhcloud.com/oauth2/authorize","tokenUrl":"https://auth.eu.ovhcloud.com/oauth2/token","scopes":{"account/all":"Manage your account","all":"Manage your whole account and all your services","services/all":"Manage your services lifecycle and billing"}}}}}},"paths":{"/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/topic":{"get":{"operationId":"getAllKafkaTopics","summary":"List topics","description":"Returns the topics of the service with their partitions, replication and retention settings.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"header","name":"X-Pagination-Cursor","description":"Pagination cursor","schema":{"type":"string"}},{"in":"header","name":"X-Pagination-Size","description":"Pagination size","schema":{"type":"integer"}},{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}},{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/publicCloud.database.kafka.Topic"}}}}}},"tags":["Managed Analytics","Kafka"],"x-developer-hub-navigation":[["Public Cloud","Analytics","Kafka","Topics@@@10"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/topic\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/topic\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:analytics/kafka/topic/get","required":true}],"x-response-identifier":"id","x-expanded-response":"PublicCloudDatabaseKafkaTopic"},"post":{"operationId":"createKafkaTopic","summary":"Create a topic","description":"Creates a topic. By default it has 1 partition, a replication factor of 1 and a retention of 168 hours (7 days). The replication factor must not exceed the number of brokers.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}},{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.database.kafka.TopicCreation"},"examples":{"Create a topic with default settings":{"value":{"minimumInSyncReplicas":1,"name":"my-topic","partitions":3,"replication":1,"retentionBytes":-1,"retentionHours":168},"summary":"Create a Kafka topic with 3 partitions and a 7-day retention."}}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.database.kafka.Topic"}}}}},"tags":["Managed Analytics","Kafka"],"x-developer-hub-navigation":[["Public Cloud","Analytics","Kafka","Topics@@@30"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: publicCloud.database.kafka.TopicCreation\nresult = client.post(\"/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/topic\",\n\tminimumInSyncReplicas = None, # Minimum number of in-sync replicas. Defaults to 1 when null. (type: integer, nullable)\n\tname = None, # Name of the Kafka topic (type: string)\n\tpartitions = None, # Number of partitions. Defaults to 1 when null. (type: integer, nullable)\n\treplication = None, # Replication factor. Must not exceed the number of brokers. Defaults to 1 when null. (type: integer, nullable)\n\tretentionBytes = None, # Maximum size in bytes retained per partition. -1 means unlimited. Defaults to -1 when null. (type: integer, nullable)\n\tretentionHours = None, # Maximum time in hours that messages are retained. -1 means unlimited. Defaults to 168 (7 days) when null. (type: integer, nullable)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: publicCloud.database.kafka.TopicCreation\n$result = $ovh->post(\"/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/topic\", array(\n\tminimumInSyncReplicas => null, // Minimum number of in-sync replicas. Defaults to 1 when null. (type: integer, nullable)\n\tname => null, // Name of the Kafka topic (type: string)\n\tpartitions => null, // Number of partitions. Defaults to 1 when null. (type: integer, nullable)\n\treplication => null, // Replication factor. Must not exceed the number of brokers. Defaults to 1 when null. (type: integer, nullable)\n\tretentionBytes => null, // Maximum size in bytes retained per partition. -1 means unlimited. Defaults to -1 when null. (type: integer, nullable)\n\tretentionHours => null, // Maximum time in hours that messages are retained. -1 means unlimited. Defaults to 168 (7 days) when null. (type: integer, nullable)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:analytics/kafka/topic/create","required":true}]}},"/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/topic/{topicId}":{"delete":{"operationId":"deleteKafkaTopic","summary":"Delete a topic","description":"Permanently deletes the topic and its messages.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}},{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"topicId","description":"Topic ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.database.kafka.Topic"}}}}},"tags":["Managed Analytics","Kafka"],"x-developer-hub-navigation":[["Public Cloud","Analytics","Kafka","Topics@@@40"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.delete(\"/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/topic/{topicId}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->delete(\"/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/topic/{topicId}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:analytics/kafka/topic/delete","required":true}]},"get":{"operationId":"getKafkaTopic","summary":"Get a topic","description":"Returns the partitions, replication factor, minimum in-sync replicas and retention settings of the topic.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}},{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"topicId","description":"Topic ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.database.kafka.Topic"}}}}},"tags":["Managed Analytics","Kafka"],"x-developer-hub-navigation":[["Public Cloud","Analytics","Kafka","Topics@@@20"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/topic/{topicId}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/topic/{topicId}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:analytics/kafka/topic/get","required":true}],"x-response-identifier":"id"},"patch":{"operationId":"updateKafkaTopic","summary":"Partially update a topic","description":"Partially updates the partitions, replication, minimum in-sync replicas or retention of the topic. The number of partitions can only be increased.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}},{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"topicId","description":"Topic ID","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.database.kafka.TopicUpdate"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.database.kafka.Topic"}}}}},"tags":["Managed Analytics","Kafka"],"x-developer-hub-navigation":[["Public Cloud","Analytics","Kafka","Topics@@@60"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: publicCloud.database.kafka.TopicUpdate\nresult = client.patch(\"/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/topic/{topicId}\",\n\tminimumInSyncReplicas = None, # Minimum number of in-sync replicas required before a write is acknowledged (type: integer, nullable)\n\tpartitions = None, # New number of partitions. Can only be increased, never decreased. (type: integer, nullable)\n\treplication = None, # New replication factor. Must not exceed the number of brokers. (type: integer, nullable)\n\tretentionBytes = None, # Maximum size in bytes retained per partition. -1 means unlimited. (type: integer, nullable)\n\tretentionHours = None, # Maximum time in hours that messages are retained. -1 means unlimited. (type: integer, nullable)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: publicCloud.database.kafka.TopicUpdate\n$result = $ovh->patch(\"/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/topic/{topicId}\", array(\n\tminimumInSyncReplicas => null, // Minimum number of in-sync replicas required before a write is acknowledged (type: integer, nullable)\n\tpartitions => null, // New number of partitions. Can only be increased, never decreased. (type: integer, nullable)\n\treplication => null, // New replication factor. Must not exceed the number of brokers. (type: integer, nullable)\n\tretentionBytes => null, // Maximum size in bytes retained per partition. -1 means unlimited. (type: integer, nullable)\n\tretentionHours => null, // Maximum time in hours that messages are retained. -1 means unlimited. (type: integer, nullable)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:analytics/kafka/topic/edit","required":true}]},"put":{"operationId":"editKafkaTopic","summary":"Update a topic","description":"Updates the partitions, replication, minimum in-sync replicas and retention of the topic. Every field is required. The number of partitions can only be increased.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"projectId","description":"Project ID","required":true,"schema":{"type":"string"}},{"in":"path","name":"serviceId","description":"Service ID","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"topicId","description":"Topic ID","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.database.kafka.TopicReplace"}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/publicCloud.database.kafka.Topic"}}}}},"tags":["Managed Analytics","Kafka"],"x-developer-hub-navigation":[["Public Cloud","Analytics","Kafka","Topics@@@50"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: publicCloud.database.kafka.TopicReplace\nresult = client.put(\"/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/topic/{topicId}\",\n\tminimumInSyncReplicas = None, # Minimum number of in-sync replicas required before a write is acknowledged (type: integer)\n\tpartitions = None, # New number of partitions. Can only be increased, never decreased. (type: integer)\n\treplication = None, # New replication factor. Must not exceed the number of brokers. (type: integer)\n\tretentionBytes = None, # Maximum size in bytes retained per partition. -1 means unlimited. (type: integer)\n\tretentionHours = None, # Maximum time in hours that messages are retained. -1 means unlimited. (type: integer)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: publicCloud.database.kafka.TopicReplace\n$result = $ovh->put(\"/v2/publicCloud/project/{projectId}/managedAnalytics/kafka/{serviceId}/topic/{topicId}\", array(\n\tminimumInSyncReplicas => null, // Minimum number of in-sync replicas required before a write is acknowledged (type: integer)\n\tpartitions => null, // New number of partitions. Can only be increased, never decreased. (type: integer)\n\treplication => null, // New replication factor. Must not exceed the number of brokers. (type: integer)\n\tretentionBytes => null, // Maximum size in bytes retained per partition. -1 means unlimited. (type: integer)\n\tretentionHours => null, // Maximum time in hours that messages are retained. -1 means unlimited. (type: integer)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"publicCloudProject:apiovh:analytics/kafka/topic/edit","required":true}]}}},"tags":[{"name":"Managed Analytics","x-tag-expanded":false,"description":"Missing description"},{"name":"Kafka","x-tag-expanded":false,"description":"Missing description"}]}
